Bug 50919 - two Python modules in redhat-config-network import each other
two Python modules in redhat-config-network import each other
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2001-08-04 16:40 EDT by Panic
Modified: 2015-03-04 20:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-05 15:57:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Panic 2001-08-04 16:40:04 EDT
Description of Problem:

NCProfileList.py and ProfileList.py import each other:

NCProfileList.py line 27:

from ProfileList import *

and ProfileList.py line 1518:

import NCProfileList
from NCProfileList import *

I'm not sure that this is a problem per se, but some things seem to be
crossing over unintentionally, like in editdomain.py on line 88:

    def dehydrate(self):
        profilelist = ProfileList.getProfileList()

getProfileList doesn't exist in ProfileList.py, but rather in NCProfileList.py.
How Reproducible:


Steps to Reproduce:
1. examine code.

Actual Results:

I'm not sure, but shouldn't the imports be only one-way?  And if a function
is called, shouldn't the call indicate the correct module that the function
resides in?

Expected Results:

Additional Information:
Comment 1 Phil Knirsch 2001-08-06 11:45:46 EDT
OK, fixed in CVS.

Concerning the cross imports: We need them to some degree as otherwise our
namespacing would get horribly messy...

We've spent quite some time to clean this up as much as possible, but that one
obviously slipped through our net of checks.


Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.